Browse Source

Merge pull request #1030 from giner/patch-2

wshaper: start wshaper on ifup
Jo-Philipp Wich 10 years ago
parent
commit
f55314de0e
2 changed files with 5 additions and 1 deletions
  1. 2
    1
      net/wshaper/Makefile
  2. 3
    0
      net/wshaper/files/wshaper.iface

+ 2
- 1
net/wshaper/Makefile View File

44
 endef
44
 endef
45
 
45
 
46
 define Package/wshaper/install
46
 define Package/wshaper/install
47
-	$(INSTALL_DIR) $(1)/usr/sbin/ $(1)/etc/init.d $(1)/etc/config
47
+	$(INSTALL_DIR) $(1)/usr/sbin/ $(1)/etc/init.d $(1)/etc/config $(1)/etc/hotplug.d/iface
48
 	$(INSTALL_BIN) ./files/wshaper.htb $(1)/usr/sbin/
48
 	$(INSTALL_BIN) ./files/wshaper.htb $(1)/usr/sbin/
49
 	$(INSTALL_BIN) ./files/wshaper.init $(1)/etc/init.d/wshaper
49
 	$(INSTALL_BIN) ./files/wshaper.init $(1)/etc/init.d/wshaper
50
+	$(INSTALL_BIN) ./files/wshaper.iface $(1)/etc/hotplug.d/iface/10-wshaper
50
 	$(INSTALL_DATA) ./files/wshaper.config $(1)/etc/config/wshaper
51
 	$(INSTALL_DATA) ./files/wshaper.config $(1)/etc/config/wshaper
51
 endef
52
 endef
52
 
53
 

+ 3
- 0
net/wshaper/files/wshaper.iface View File

1
+#!/bin/sh
2
+
3
+[ "$ACTION" = ifup ] && /etc/init.d/wshaper enabled && /etc/init.d/wshaper start || exit 0